import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import BasicWindowMonitor;

public class ikiboyutSWF_2000 extends JFrame
{
  JTextArea cikti;

 public ikiboyutSWF_2000()
 {
 super("iki boyutlu değişken örneği");
 Container c=getContentPane();
 c.setLayout(new FlowLayout());
 int a1[][]={{1,2,3},{4,5,6}};
 int a2[][]={{1,2},{4}};
 String s=" a1 : \n";
 s=s+ikiboyutyazdir(a1);
 s=s+" a2 : \n";
 s=s+ikiboyutyazdir(a2);
 cikti=new JTextArea(s);
 cikti.setBackground(c.getBackground());
 c.add(cikti);
 }

 public static String ikiboyutyazdir(int a[][])
 {
 String s="";
 for(int i=0;i<a.length;i++)
   {
   for(int j=0;j<a[i].length;j++)
     {s+=String.valueOf(a[i][j])+" ";}
   s+="\n";
   }
 return s;
 }
      //=====================================================
      public static void main(String[] args)
      {
      ikiboyutSWF_2000 pencere= new ikiboyutSWF_2000();
      pencere.addWindowListener(new BasicWindowMonitor());
      pencere.setSize(200,200);
      pencere.setVisible(true);
      }
}

